<?php 
/**
 * @package Legacy
 * @version $Id: cp_header.php,v 1.2.8.5 2006/08/18 09:12:25 minahito Exp $
 * @deprecated This file was a shortcut for XOOPS2 developers who don't want to load header.php
 */

if (!defined('XOOPS_ROOT_PATH')) {
	require_once "../../../mainfile.php";
}

if (!defined('XOOPS_CPFUNC_LOADED')) {
	require_once XOOPS_ROOT_PATH . "/include/cp_functions.php";
}

//
// [Special Mission] Additional CHECK!!
// Old modules may call this file from other admin directory.
// In this case, the controller does not have Admin ModuleController and Admin RenderSystem.
//
$root =& XCube_Root::getSingleton();
$strategy =& new Legacy_AdminControllerStrategy($root->mController);
$root->mController->setStrategy($strategy);

//
// TODO
//

?>